# Get enrichment workflow definition history Endpoint: GET /enrichment-workflows/{workflowId}/history Version: 2.68.0 Security: OAuth2 ## Path parameters: - `workflowId` (string, required) ID of the workflow to read history for ## Query parameters: - `offset` (integer) A zero-based offset of the first item in the data collection to return. - `limit` (integer) Limit the amount of items returned. Values above the maximum are capped. ## Response 200 fields (application/json): - `data` (array, required) - `data.id` (string, required) Unique ID of the workflow definition - `data.name` (string, required) Name of the workflow - `data.description` (string) - `data.companyId` (string) - `data.createdAt` (string) - `data.updatedAt` (string) - `data.definition` (string, required) YAML definition of the workflow - `data.projectIds` (array) - `data.version` (integer) - `data.versionString` (string) - `data.updatedBy` (string) - `data.createdById` (string) - `data.updatedById` (string) - `totalCount` (integer, required) The total number of workflow definitions available. - `limit` (integer, required) The limit used for this page of results. - `offset` (integer, required) The zero-based offset used for this page of results. ## Response 400 fields (application/json): - `type` (string, required) - `title` (string, required) - `status` (integer, required) - `detail` (string) - `instance` (string) ## Response 404 fields (application/json): - `type` (string, required) - `title` (string, required) - `status` (integer, required) - `detail` (string) - `instance` (string) ## Response 401 fields ## Response 403 fields ## Response 429 fields